PETSc version 3.15.5
Fix/Edit manual page

# DMSwarmViewFieldsXDMF

Write a selection of DMSwarm fields to an XDMF3 file

### Synopsis

    PETSC_EXTERN PetscErrorCode DMSwarmViewFieldsXDMF(DM dm,const char filename[],PetscInt nfields,const char *field_name_list[])

Collective on dm

### Input parameters

| dm | - the DMSwarm
| filename | - the file name of the XDMF file (must have the extension .xmf)
| nfields | - the number of fields to write into the XDMF file
| field_name_list | - array of length nfields containing the textual name of fields to write

### Notes

Only fields registered with data type PETSC_DOUBLE or PETSC_INT can be written into the file

### See Also

DMSwarmViewXDMF()

### Level

beginner

### Location

src/dm/impls/swarm/swarmpic_view.c

### Examples

src/dm/tutorials/ex20.c.html
Index of all DMSWARM routines
Table of Contents for all manual pages
Index of all manual pages